#include <iostream>

#include "CifLoadReorganizer.h"


int main(int argc, char** argv)
{
    if (argc != 3)
    {
        cerr << "Usage: " << argv[0] << " <object filename> <datablock name>"
          << endl;
        exit(0);
    }

    DictFileCont dictFileCont(argv[1]);

    dictFileCont.Read();

    dictFileCont.SetCurrentDictionary(argv[2]);

    cout << "Get the all the dictionaries in one sweep ... " << endl << endl;

    dictFileCont.Print();

    cout << "Done!" << endl;

    exit(0);
}

